## org.apache.maven.embedder
Class MavenEmbedderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.maven.embedder.MavenEmbedderException

All Implemented Interfaces:
  java.io.Serializable

    public class MavenEmbedderException

extends java.lang.Exception

Version:
  $Id:$
Author:
  Jason van Zyl
See Also:
  Serialized Form

Constructor Summary
`MavenEmbedderException(java.lang.String message)`
`MavenEmbedderException(java.lang.String message, java.lang.Throwable cause)`
`MavenEmbedderException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MavenEmbedderException

    public MavenEmbedderException(java.lang.String message)

### MavenEmbedderException

    public MavenEmbedderException(java.lang.Throwable cause)

### MavenEmbedderException

    public MavenEmbedderException(java.lang.String message,
                                  java.lang.Throwable cause)

Copyright © 2011. All Rights Reserved.